Docs

Get V2 vault state history

Historical state of a Morpho Vault V2: total assets and shares, withdrawable assets, allocated assets, idle assets, and share price.

Vault selector example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11 (format: <chain_id>:<vault_address>; replace with the target vault).

Path Parameters

vault-selector*string

Selector formatted as <chain_id>:<vault_address>. Example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11.

Format<chain_id>:<vault_address>

Query Parameters

lookback?string

Lookback period. Defaults to thirty_days. Historical sampling is selected automatically.

Value in"one_day" | "seven_days" | "thirty_days" | "ninety_days" | "one_year" | "inception"

Response Body

application/json

BASE_URL="${CORE_REST_BASE_URL:-https://api.morpho.org}"MORPHO_API_KEY="<MORPHO_API_KEY>"VAULT_SELECTOR="1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11"curl -sS "${BASE_URL}/v0/vaults-v2/${VAULT_SELECTOR}/state/history?lookback=thirty_days" \  -H "accept: application/json" \  -H "x-api-key: ${MORPHO_API_KEY}"
{
  "params": {
    "chain_id": "1",
    "vault_address": "0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11"
  },
  "data": [
    {
      "timestamp": 1729900800,
      "total_assets": "92000000000000",
      "total_supply": "91200000000000000000000",
      "withdrawable_assets": "12500000000000",
      "allocated_assets": "79500000000000",
      "idle_assets": "12500000000000",
      "share_price_ray": "1008771929824561403000000000"
    },
    {
      "timestamp": 1729987200,
      "total_assets": "92300000000000",
      "total_supply": "91200000000000000000000",
      "withdrawable_assets": "13100000000000",
      "allocated_assets": "79200000000000",
      "idle_assets": "13100000000000",
      "share_price_ray": "1012061403508771929000000000"
    }
  ],
  "last_indexed_block": "19847234"
}